Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConvergenceException, FunctionEvaluationException, MathConfigurationException

public class MathException
extends Exception

Base class for commons-math checked exceptions.

Supports nesting, emulating JDK 1.4 behavior if necessary.

Adapted from `FunctorException`.

Version:
  $Revision: 1.20 $ $Date: 2004/11/07 02:17:56 $
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID` Serializable version identifier

Constructor Summary
`MathException()` Constructs a new `MathException` with no detail message.
`MathException(String msg)` Constructs a new `MathException` with specified detail message.
`MathException(String msg, Throwable rootCause)` Constructs a new `MathException` with specified detail message and nested `Throwable` root cause.
`MathException(Throwable rootCause)` Constructs a new `MathException` with specified nested `Throwable` root cause.

Method Summary
`Throwable` | `getCause()` Gets the cause of this throwable.
`void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` | `printStackTrace(PrintStream out)` Prints the stack trace of this exception to the specified stream.
`void` | `printStackTrace(PrintWriter out)` Prints the stack trace of this exception to the specified writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### MathException

    public MathException()

  Constructs a new `MathException` with no detail message.

### MathException

    public MathException(String msg)

  Constructs a new `MathException` with specified detail message.

Parameters:
  `msg` - the error message.

### MathException

    public MathException(Throwable rootCause)

  Constructs a new `MathException` with specified nested `Throwable` root cause.

Parameters:
  `rootCause` - the exception or error that caused this exception to be thrown.

### MathException

    public MathException(String msg,
                         Throwable rootCause)

  Constructs a new `MathException` with specified detail message and nested `Throwable` root cause.

Parameters:
  `msg` - the error message.
  `rootCause` - the exception or error that caused this exception to be thrown.

Method Detail

### getCause

    public Throwable getCause()

  Gets the cause of this throwable.

  Returns:
    the cause of this throwable, or `null`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.

### printStackTrace

    public void printStackTrace(PrintStream out)

  Prints the stack trace of this exception to the specified stream.

  Parameters:
    `out` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Prints the stack trace of this exception to the specified writer.

  Parameters:
    `out` - the `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.